mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.Runtime.InteropServices.ComVisible(true)

Asymmetric signature deformatters verify the digital signatures that are created using implementations of .

Represents the abstract base class from which all implementations of asymmetric signature deformatters derive.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  You cannot create an instance of an abstract class. Application code will create a new instance of a derived class.

  Use implementations of and to set the key and hash algorithm before calling an implementation of .

  Initializes a new instance of .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  You must set a hash algorithm before calling an implementation of .

  When overridden in a derived class, sets the hash algorithm to use for verifying the signature.

  The name of the hash algorithm to use for verifying the signature.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  You must set a key before calling an implementation of .

  When overridden in a derived class, sets the public key to use for verifying the signature.

  The instance of an implementation of that holds the public key.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` ``

  You must specify a public key and a hash algorithm before calling this method.

  When overridden in a derived class, verifies the signature for the specified data.

  true if matches the signature computed using the specified hash algorithm and key on ; otherwise, false.

  The data signed with . The signature to be verified for .
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` ``

  This method sets the hash algorithm to be used before verifying the signature of the input hash algorithm value.

  Verifies the signature from the specified hash value.

  true if the signature is valid for the hash; otherwise, false.

  The hash algorithm to use to verify the signature. The signature to be verified.